# Nextcloud's cron job timer

This repository contains Systemd service and timer basic units to run Nextcloud's own cron job regularly (as recommended in the
[official documentation](https://docs.nextcloud.com/server/stable/admin_manual/configuration_server/background_jobs_configuration.html#systemd)).

### IMPORTANT
For the cron job to execute correctly, APCu must be enabled. This not the case by default. You need to add
`19-apcu-enab.ini` to `/etc/php/<version>/cli/conf.d/`. This is **not** done by install script (as it would not sustain
after a PHP version upgrade).

### Files
* `19-apcu-enab.ini` is a config file to enable ACPu in PHP
* `cloud-cron.service` is the service file executing Nextcloud's PHP cron job
* `cloud-cron.timer` is the timer starting the service every 5 minutes
#### Installation
* `install.sh` script copies Systemd units to their destination, and enables timer.

### TODO
* RAS
